std::const_mem_fun1_t< _Ret, _Tp, _Arg >(3cxx)

NAME
std::const_mem_fun1_t< _Ret, _Tp, _Arg >

SYNOPSIS

Inherits std::binary_function< const _Tp *, _Arg, _Ret >.

  Public Types

typedef const _Tp * first_argument_type
typedef _Ret result_type
typedef _Arg second_argument_type

  Public Member Functions

const_mem_fun1_t (_Ret(_Tp::*__pf)(_Arg) const)
_Ret operator() (const _Tp *__p, _Arg __x) const

Detailed Description

  template<typename _Ret, typename _Tp, typename _Arg>
class std::const_mem_fun1_t< _Ret, _Tp, _Arg >" One of the adaptors for member pointers.

Definition at line 1029 of file stl_function.h.

Member Typedef Documentation

  typedef const _Tp * std::binary_function< const _Tp * , _Arg , _Ret >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  typedef _Ret std::binary_function< const _Tp * , _Arg , _Ret >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  typedef _Arg std::binary_function< const _Tp * , _Arg , _Ret >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.